#
# spec file for package ghc-blaze-markup
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name blaze-markup
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.7.1.1
Release:        3.1
Summary:        A blazingly fast markup combinator library for Haskell
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-test-framework-devel
BuildRequires:  ghc-test-framework-hunit-devel
BuildRequires:  ghc-test-framework-quickcheck2-devel
%endif

%description
Core modules of a blazingly fast markup combinator library for the Haskell
programming language. The Text.Blaze module is a good starting point, as well
as this tutorial: <http://jaspervdj.be/blaze/tutorial.html>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc CHANGELOG

%changelog
* Sun Dec  4 2016 psimons@suse.com
- Update to version 0.7.1.1 with cabal2obs.
* Mon Aug  1 2016 psimons@suse.com
- Update to version 0.7.1.0 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.7.0.3 revision 0 with cabal2obs.
* Sun Oct  4 2015 mimi.vx@gmail.com
- update to 0.7.0.3
  * Relax `HUnit` dependency to allow 1.3
* Mon Apr 20 2015 mimi.vx@gmail.com
- update to 0.7.0.2
  * Add combinators to insert HTML comments
  * Add `Applicative` instance for `MarkupM`
* Sun Nov  9 2014 peter.trommler@ohm-hochschule.de
- update to 0.6.1.1
  * Bump `text` dependency to allow 1.2 (Haskell Platform 2014.2.0.0)
  * Add the `null` query to Text.Blaze.Internal.
  * Add the operator (!?) for nicely setting conditional attributes
* Mon Oct 21 2013 sbahling@suse.com
- add %%defattr(-,root,root,-) to devel section
* Tue May 14 2013 peter.trommler@ohm-hochschule.de
- update to 0.5.1.5 from upstream (no changelog)
* Sun Nov 18 2012 peter.trommler@ohm-hochschule.de
- update to 0.5.1.1 from upstream
  * relax version dependencies
* Mon May  7 2012 peter.trommler@ohm-hochschule.de
- Initial packaging: spec file template generated by cabal2spec-0.25.5
